Skip to main content
`Ctrl`+`K`

# DMDACreate

Creates a `DMDA` object for managing structured grids.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreate(MPI_Comm comm, DM *da)

Collective

## Input Parameter

- comm - The communicator for the `DMDA` object

## Output Parameter

- da - the `DMDA` object

## Notes

See DMDA - Creating vectors for structured grids for details on the construction of a `DMDA`

`DMDACreate1d()`, `DMDACreate2d()`, and `DMDACreate3d()` are convenience routines to quickly completely create a `DMDA`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMSetUp()`, `DMDASetSizes()`, `DMClone()`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`

## Level

advanced

## Location

src/dm/impls/da/dacreate.c

## Examples

src/dm/tutorials/ex19.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages